import { IpVersion, NumericValueType } from "@rxweb/reactive-form-validators";
import { PasswordValidation } from "@rxweb/reactive-form-validators/models";

export class FormBuilderData {
    public static GetValidators() {
        return Object.assign({},...[
            {"allOf": [{ "parameterName":"message","parameterType":"string","isRequired":false }, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"matchValues","parameterType":"any[]","isRequired":true }]},
            { "alpha": [{ "parameterName":"message", "parameterType":"string","isRequired":false }, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"allowWhiteSpace", "parameterType":"boolean","isRequired":false }] },
            { "alphaNumeric": [{ "parameterName":"message","parameterType":"string","isRequired":false }, { "parameterName":"conditionalExpression", "parameterType":"string" ,"isRequired":false}, { "parameterName":"allowWhiteSpace", "parameterType":"boolean","isRequired":false }] },
            { "ascii": [{ "parameterName":"message","parameterType":"string","isRequired":false }, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }] },
            { "choice": [{ "parameterName":"minLength","parameterType":"number","isRequired":false }, { "parameterName":"maxLength","parameterType":"number","isRequired":false }, { "parameterName":"message","parameterType":"string","isRequired":false }, { "parameterName":"conditionalExpression", "parameterType":"string" ,"isRequired":false}] },
            { "compare": [{ "parameterName":"fieldName","parameterType":"string","isRequired":true }, { "parameterName":"message", "parameterType":"string","isRequired":false }] },
            { "contains": [{ "parameterName":"fieldName","parameterType":"string","isRequired":true }, { "parameterName":"message","parameterType":"string","isRequired":false }, { "parameterName":"value", "parameterType":"string" ,"isRequired":false}] },
            { "creditCard": [{ "parameterName":"creditCardTypes", "parameterType":"string[]","isRequired":false }, { "parameterName":"message", "parameterType":"string" ,"isRequired":false}, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"fieldName", "parameterType":"string","isRequired":false }] },
            { "cusip": [{ "parameterName":"message","parameterType":"string","isRequired":false },{ "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }]},
            { "date": [{ "parameterName":"message","parameterType":"string","isRequired":false },{ "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }]},
            { "dataUri": [{ "parameterName":"message", "parameterType":"string" ,"isRequired":false}, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }] },
            { "different": [{ "parameterName":"fieldName","parameterType":"string" ,"isRequired":true}, { "parameterName":"message", "parameterType":"string","isRequired":false }] },
            { "digit": [{ "parameterName":"conditionalExpression", "parameterType":"string" ,"isRequired":false}, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "email": [{ "parameterName":"conditionalExpression", "parameterType":"string" ,"isRequired":false}, { "parameterName":"message","parameterType":"string" ,"isRequired":false}] },
            { "endsWith": [{ "parameterName":"value", "parameterType":"string" ,"isRequired":true}, { "parameterName":"conditionalExpression", "parameterType":"string" ,"isRequired":false}, { "parameterName":"message","parameterType":"string" ,"isRequired":false}] },
            { "even": [{ "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string" ,"isRequired":false}] },
            { "extension": [{ "parameterName":"extensions","parameterType":"string[]","isRequired":false }, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string" ,"isRequired":false}] },
            { "factor": [{ "parameterName":"dividend","parameterType":"number" ,"isRequired":false}, { "parameterName":"fieldName","parameterType":"string","isRequired":false }, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string" ,"isRequired":false}] },
            { "file": [{ "parameterName":"maxFiles","parameterType":"number" ,"isRequired":false}, { "parameterName":"minFiles", "parameterType":"number" ,"isRequired":false}, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "fileSize": [{ "parameterName":"maxSize","parameterType":"number","isRequired":true }, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "greaterThanEqualTo": [{ "parameterName":"fieldName","parameterType":"string","isRequired":false }, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string" ,"isRequired":false}] },
            { "greaterThan": [{ "parameterName":"fieldName","parameterType":"string" ,"isRequired":true}, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string" ,"isRequired":false}] },
            { "grid": [{ "parameterName":"message","parameterType":"string","isRequired":false },{ "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }]},
            { "hexColor": [{ "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "ip": [{ "parameterName":"version","parameterType":"IpVersion","isRequired":true }, { "parameterName":"isCidr","parameterType": "boolean","isRequired":false }, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string" ,"isRequired":false}] },
            { "image": [{ "parameterName":"maxWidth","parameterType":"number","isRequired":true }, { "parameterName":"maxHeight","parameterType":"number","isRequired":true }, { "parameterName":"minWidth", "parameterType":"number" ,"isRequired":false}, { "parameterName":"minHeight", "parameterType":"number","isRequired":false }, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "json": [{ "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "latitude": [{ "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string" ,"isRequired":false}] },
            { "latLong": [{ "parameterName":"conditionalExpression", "parameterType":"string" ,"isRequired":false}, { "parameterName":"message","parameterType":"string" ,"isRequired":false}] },
            { "leapYear": [{ "parameterName":"conditionalExpression", "parameterType":"string" ,"isRequired":false}, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "lessThanEqualTo": [{ "parameterName":"fieldName","parameterType":"string","isRequired":true }, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string" ,"isRequired":false}] },
            { "lessThan": [{ "parameterName":"fieldName","parameterType":"string","isRequired":true }, { "parameterName":"conditionalExpression", "parameterType":"string" ,"isRequired":false}, { "parameterName":"message","parameterType":"string" ,"isRequired":false}] },
            { "longitude": [{ "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "lowerCase": [{ "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "mac": [{ "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string" ,"isRequired":false}] },
            { "maxDate": [{ "parameterName":"value", "parameterType":"string","isRequired":false }, { "parameterName":"fieldName","parameterType":"string" ,"isRequired":false}, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "maxLength": [{ "parameterName":"value", "parameterType":"string","isRequired":true }, { "parameterName":"conditionalExpression", "parameterType":"string" ,"isRequired":false}, { "parameterName":"message","parameterType":"string" ,"isRequired":false}] },
            { "maxNumber": [{ "parameterName":"value", "parameterType":"string","isRequired":true }, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "minDate": [{ "parameterName":"fieldName","parameterType":"string","isRequired":false }, { "parameterName":"value", "parameterType":"string","isRequired":false }, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "minLength":[{ "parameterName":"value", "parameterType":"number","isRequired":true }, { "parameterName":"conditionalExpression", "parameterType":"string" ,"isRequired":false}, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "minNumber": [{ "parameterName":"value", "parameterType":"number" ,"isRequired":true}, { "parameterName":"conditionalExpression", "parameterType":"string" ,"isRequired":false}, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "noneOf": [{ "parameterName":"matchValues","parameterType":"any[]","isRequired":true }, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "numeric": [{ "parameterName":"acceptvalue", "parameterType":"NumericValueType","isRequired":true }, { "parameterName":"allowDecimal", "parameterType":"boolean" ,"isRequired":false}, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "odd": [{ "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string" ,"isRequired":false}] },
            { "oneOf": [{ "parameterName":"matchValues","parameterType":"any[]" ,"isRequired":true}, { "parameterName":"conditionalExpression", "parameterType":"string" ,"isRequired":false}, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            //{ "password": [{ "parameterName":"validation", {"PasswordValidation" : [{"digit": "boolean","isRequired":false},{"alphabet": "boolean","isRequired":false},{"contains": "parameterType":"string","isRequired":false}, {"lowerCase": "boolean","isRequired":false},{"upperCase": "boolean","isRequired":false},{"specialCharacter": "boolean"},{"parameterName":"minLength","parameterType":"number"},{"parameterName":"maxLength": "parameterType":"number"} ]}}, { "parameterName":"message","parameterType":"string" }] ,"isRequired":true},
            { "pattern": [{ "parameterName":"expression", "parameterType":"string" ,"isRequired":true}, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "port": [{ "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "primeNumber": [{ "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "range": [{ "parameterName":"conditionalExpression", "parameterType":"string" ,"isRequired":false}, { "parameterName":"minimumNumber", "parameterType":"string","isRequired":true }, {"parameterName": "maximumNumber","parameterType":"string" ,"isRequired":true}, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "required": [{ "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "startsWith": [{ "parameterName":"value", "parameterType":"string","isRequired":true }, { "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string" ,"isRequired":false}] },
            { "time": [{ "allowSeconds": "boolean","isRequired":false }, { "parameterName":"conditionalExpression", "parameterType":"string" ,"isRequired":false}, { "parameterName":"message","parameterType":"string" ,"isRequired":false}] },
            { "unique": [{ "parameterName":"message","parameterType":"string" ,"isRequired":false}] },
            { "upperCase": [{ "parameterName":"conditionalExpression", "parameterType":"string","isRequired":false }, { "parameterName":"message","parameterType":"string","isRequired":false }] },
            { "url": [{ "parameterName":"conditionalExpression", "parameterType":"string", "isRequired":false}, { "parameterName":"message","parameterType":"string" ,"isRequired":false}] }
        ])
        };
}
